{ config, lib, pkgs, modulesPath, ... }:

# Contains the configuration to make a VM bootable with qemu.

{
  imports = [
    "${modulesPath}/virtualisation/qemu-vm.nix"
  ];

  boot = {
    kernelParams = [ "boot.shell_on_fail" ];
    consoleLogLevel = lib.mkDefault 7;
    initrd.kernelModules = [
      "virtio_pci"
      "virtio_blk"
      "virtio_input"
      "9pnet"
      "9pnet_virtio"
    ];

    loader = {
      grub.enable = false;
      generic-extlinux-compatible.enable = true;
    };
  };
}
